<?php
/**
 * @file
 * cms_core.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function cms_core_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "bean_admin_ui" && $api == "bean") {
    return array("version" => "5");
  }
  if ($module == "file_entity" && $api == "file_default_displays") {
    return array("version" => "1");
  }
  if ($module == "flexslider" && $api == "flexslider_default_preset") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_image_default_styles().
 */
function cms_core_image_default_styles() {
  $styles = array();

  // Exported image style: bootstrap3_col1.
  $styles['bootstrap3_col1'] = array(
    'label' => 'Bootstrap3 col1',
    'effects' => array(
      12 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 68,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col12.
  $styles['bootstrap3_col12'] = array(
    'label' => 'Bootstrap3 col12',
    'effects' => array(
      19 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 1140,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col1_square.
  $styles['bootstrap3_col1_square'] = array(
    'label' => 'Bootstrap3 col1 Square',
    'effects' => array(
      21 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 68,
          'height' => 68,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col2.
  $styles['bootstrap3_col2'] = array(
    'label' => 'Bootstrap3 col2',
    'effects' => array(
      13 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 165,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col3.
  $styles['bootstrap3_col3'] = array(
    'label' => 'Bootstrap3 col3',
    'effects' => array(
      14 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 263,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col3_square.
  $styles['bootstrap3_col3_square'] = array(
    'label' => 'Bootstrap3 col3 Square',
    'effects' => array(
      23 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 263,
          'height' => 263,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col4.
  $styles['bootstrap3_col4'] = array(
    'label' => 'Bootstrap3 col4',
    'effects' => array(
      15 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 360,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col4_square.
  $styles['bootstrap3_col4_square'] = array(
    'label' => 'Bootstrap3 col4 square',
    'effects' => array(
      24 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 360,
          'height' => 360,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col6.
  $styles['bootstrap3_col6'] = array(
    'label' => 'Bootstrap3 col6',
    'effects' => array(
      16 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 555,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col8.
  $styles['bootstrap3_col8'] = array(
    'label' => 'Bootstrap3 col8',
    'effects' => array(
      17 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 750,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col8_banner.
  $styles['bootstrap3_col8_banner'] = array(
    'label' => 'Bootstrap3 col8 Banner',
    'effects' => array(
      22 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 750,
          'height' => 300,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col9.
  $styles['bootstrap3_col9'] = array(
    'label' => 'Bootstrap3 col9',
    'effects' => array(
      18 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 848,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col9_banner.
  $styles['bootstrap3_col9_banner'] = array(
    'label' => 'Bootstrap3 col9 Banner',
    'effects' => array(
      20 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 848,
          'height' => 339,
        ),
        'weight' => 1,
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function cms_core_node_info() {
  $items = array(
    'page' => array(
      'name' => t('Basic page'),
      'base' => 'node_content',
      'description' => t('Use <em>basic pages</em> for your static content, such as an \'About us\' page.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}
